// simple.vert

#version 130
#extension GL_EXT_gpu_shader4 : enable

uniform int lightNumber;
uniform float scatter;

out vec3 position;
out vec3 viewVec;
out vec3 normal;
out vec3 binormal;
out vec3 tangent;

void main(void)
{
    gl_TexCoord[0] = gl_MultiTexCoord0;
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
    gl_FrontColor = gl_Color;

    position = vec3(gl_ModelViewMatrix * gl_Vertex);
    viewVec = -normalize(position);
    
    /*
    normal = vec3(0,0,1);
    binormal = vec3(0,1,0);
    tangent = vec3(1,0,0);
    */

    normal = gl_NormalMatrix * gl_Normal;
    tangent = gl_NormalMatrix * vec3(gl_MultiTexCoord1);
    //binormal = gl_NormalMatrix * vec3(gl_MultiTexCoord6);
    binormal = cross(normal, tangent);
    
    //normal = gl_NormalMatrix * normalVectors[0];
    //binormal = gl_NormalMatrix * normalVectors[0];
    //tangent = gl_NormalMatrix * normalVectors[1];
}
